Loading...
Searching...
No Matches
decaf::SHA512 Class Reference

SHA512 wrapper function. More...

`#include <sha512.hxx>`

Inheritance diagram for decaf::SHA512:

## Public Member Functions

| SHA512 () DECAF_NOEXCEPT
| Constructor.
void | update (const uint8_t *__restrict__ in, size_t len) DECAF_NOEXCEPT
| Add more data to running hash.
void | update (const Block &s) DECAF_NOEXCEPT
| Add more data to running hash, C++ version.
SHA512 & | operator<< (const Block &s)
| Add more data, stream version.
SHA512 & | operator+= (const Block &s)
| Same as <<.
void | final (Buffer b)
| Output bytes from the SHA context, and resets it.
void | reset () DECAF_NOEXCEPT
| Resets the SHA context.
SecureBuffer | final (size_t len=OUTPUT_BYTES)
| Output bytes from the sponge.
size_t | default_output_size () const DECAF_NOEXCEPT
| Return the sponge's default output size.
size_t | max_output_size () const DECAF_NOEXCEPT
| Return the sponge's maximum output size.
| ~SHA512 () DECAF_NOEXCEPT
| Destructor zeroizes state.

## Static Public Member Functions

static SecureBuffer | hash (const Block &message, size_t outlen=OUTPUT_BYTES)
| Hash a message in one pass.

## Static Public Attributes

static const size_t | OUTPUT_BYTES = 64
| Number of bytes ouf output.
static const size_t | MAX_OUTPUT_BYTES = OUTPUT_BYTES
| Number of bytes of output.
static const size_t | DEFAULT_OUTPUT_BYTES = OUTPUT_BYTES
| Default number of bytes to output.

## Detailed Description

SHA512 wrapper function.

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/sha512.hxx